> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# schemaFileV1 operation



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml get /v1/getSchema
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v1/getSchema:
    get:
      tags:
        - Account Information and Schema
      summary: schemaFileV1 operation
      operationId: schemaFileV1
      parameters:
        - name: type
          in: query
          required: true
          description: Schema content type
          schema:
            type: string
            enum:
              - json
              - xml
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSchemaResponse'
              example: '{ "$schema": "http://json-schema.org/draft-04/schema#... }'
            application/xml:
              schema:
                $ref: '#/components/schemas/GetSchemaResponse'
components:
  schemas:
    GetSchemaResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        schemaType:
          type: string
          enum:
            - xml
            - json
        schema:
          type: string
        schemaVersion:
          type: string
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    dateTime:
      type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````